import React, { useEffect, useRef, useState } from 'react';
import {
    AddDatabaseRequest,
    DatabaseType,
    databaseNameMapping,
    databaseProtocolMapping,
    useDatabaseAPI,
    useSchemaAPI,
  } from '@graphpolaris/shared/lib/data-access';
import { SchemaReactflowNodeWithFunctions, SchemaReactflowRelationWithFunctions } from '@graphpolaris/shared/lib/schema/model/reactflow';
import { Edge, Node } from 'reactflow';
// Use Schema Data Information
// Total Nodes
// Schema Node Types
// Schema Node Type Counts
const Nodes = ["Cars","Bikes","Planes","Buses","Ducks","Horses"]
const NodeCounts = [32,25,15,20,44,80]
const NodeTotal = 216
export const DbNodeDisplay = (props:{
    displayNodes:Node<SchemaReactflowNodeWithFunctions | SchemaReactflowRelationWithFunctions>[],
    totalNodes:number
    }) => {
        
        const Radials: any[] = [];
        props.displayNodes.forEach(dnode => {
            let NodePercentageValue = (dnode.data.nodeCount/props.totalNodes)*100
            const currentRadial = (
                <div className='w-full rounded-lg p-12 flex flex-col justify-center items-center'>
                    <div className="radial-progress text-primary" style={{"--value":NodePercentageValue}}>{dnode.data.nodeCount}</div>
                    <div className='text-center mb-2'>{dnode.data.name}</div>
                </div>
            );
            Radials.push(currentRadial);
        });
        return(
            <div className='grid grid-cols-4 gap-6'>
                {Radials}
            </div>
        )
};
